DDR/LPDDR Custom Configuration Creator Tool

Online Help

Version 05.80.0000

Copyright © 2014 Agilent Technologies, Inc.

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

Jan 2014

Table of Contents

Introduction
Overview
When to Use this Tool
Flow of Steps
Installing and Starting the Tool
Setting up Logic Analyzer for Custom Probing
Creating a Custom XML Configuration File
Loading a Custom Configuration File in DDR Setup Assistant
Completing the DDR Setup Assistant Steps
Loading the Acquisition Setup File in Logic and Protocol Analyzer GUI


Introduction

This help book introduces you to the DDR/LPDDR Custom Configuration Creator tool and contains the following help topics:

  • Overview
  • When to Use this Tool
  • Flow of Steps


Overview

The DDR/LPDDR Custom Configuration Creator tool allows you to define the footprints layout as per your custom probing solution used in the DDR/LPDDR setup and then create an XML configuration file based on this footprint information. The generated XML configuration file contains all the information for your custom probing needed by Agilent B4621 DDR Decoder, B4623 LPDDR Decoder, and B4622 DDR Protocol Compliance and Analysis toolset.

Once created, you input this XML configuration file in the Agilent DDR Setup Assistant wizard to define the DDR/LPDDR acquisition setup for logic analyzer. By using such a custom configuration file, you can ensure that the logic analyzer setup is correctly and completely set for a custom probing scenario.

Supported Bus Types

This tool can generate configuration files for the following DDR/LPDDR bus types.

  • DDR3
  • DDR4 (< 2.5 GHz and > 2.5 GHz)
  • LPDDR2
  • LPDDR3

Other Related Help Links

You may find useful information related to using DDR Setup Assistant, DDR/LPDDR Decoders, and capturing and analyzing data in the following online help integrated with the Logic and Protocol Analyzer GUI.

  • DDR Setup Assistant Online Help

  • Logic and Protocol Analyzer Online Help

  • B4621 DDR Bus Decoder online help

  • B4623 LPDDR Bus Decoder online help


When to Use This Tool

The usage of this tool depends on the probing solution you are using with your DDR/LPDDR target.

For Agilent probing solutions

If you are using an Agilent probing solution, then you can directly use one of the Agilent-provided standard XML configuration files suitable for that probe. These configuration files are installed at the following location when you install the B4621 DDR Decoder, B4623 LPDDR Decoder, or B4622 DDR Protocol Compliance and Analysis toolset.

C:\Users\Public\Documents\Agilent Technologies\Logic Analyzer\Default Configs\Agilent\

For a custom probing solution

If you are using a custom probing solution, you have the following two options to create XML configuration files as per your custom probing.

  • Create a custom configuration file manually or modify an Agilent-provided standard configuration file for your custom footprint pinout - This method can be complex, time-consuming, error-prone, and may lack inclusion of all the required information in the created configuration file.
  • Create a custom configuration file using the DDR/LPDDR Custom Configuration Creator tool - This method simplifies the procedure of customized configuration file creation. It also ensures that all the layout information needed by Agilent tools such as DDR Setup Assistant, DDR Decoder, or LPDDR Decoder is included in the configuration file.


Flow of Steps

The following figure depicts the flow of steps for using this tool to create a logic analyzer acquisition setup for a custom probing solution.

These steps are described in detail in Setting up Logic Analyzer for Custom Probing.


Installing and Starting the Tool

To install the tool

The DDR/LPDDR Custom Configuration Creator tool is a part of the Agilent DDR Setup Assistant and Eyefinder software package. Therefore, the tool is available when you install this package.

 You must install the Agilent Logic and Protocol Analyzer software version 5.80 or higher before installing the Agilent DDR Setup Assistant and Eyefinder package. You can install both these software from the Agilent web site at: www.agilent.com/find/la-sw-download.

To start the tool

  1. From the system's taskbar, select All Programs > Agilent Logic Analyzer > Utilities > DDR Custom Configuration Creator.

Alternatively, double-click the DDR/LPDDR Custom Configuration Creator icon on your desktop.

The DDR/LPDDR Custom Configuration Creator tool is displayed.


Setting up Logic Analyzer for Custom Probing

This help book describes the tasks that you need to perform to complete the logic analyzer DDR/LPDDR acquisition setup in situations when a custom probing solution is used.


Creating a Custom XML Configuration File

Defining Footprints

To create a custom configuration file, you need to define footprint layout(s) matching the custom footprint(s) you have designed in your schematics. In a footprint layout, you reflect your custom footprint pinout by defining a signals to pins/logic analyzer channels mapping. You route signal bits to logic analyzer bits using this mapping.

To define a footprint

  1. Launch the DDR/LPDDR Custom Configuration Creator tool.
  2. From the DDR/LPDDR Bus Type listbox, select the bus type for which you want to define a footprint layout.

On selecting the bus type, appropriate fields are displayed in the tool to define a footprint.

  3. Click the New Footprint button.
  4. The types of footprint layouts that you can create are displayed as menu options. Select a type that suits your probing setup.

  5. The New Footprint Name dialog box is displayed. Specify a name for the new footprint and click OK. The name usually should be the name given to the footprint in the schematics.

From this point onwards, the steps are slightly different based on the type of footprint you want to create. The steps outlined below are segregated based on whether you want to create a Softtouch or a Custom type of footprint layout.

For a Softtouch footprint layout

The tool then displays a diagrammatic representation of the pins in the probe connector. The logic analyzer channel associated to each of these pins is also displayed in this diagrammatic representation. On the left and right sides of this representation, two columns are provided to allow you to map signal bits to these pins.

  6. To map a signal bit to a pin, click the signal box displayed in front of that pin in one of the two columns on left or right of the diagrammatic representation.

A list of signals based on the selected DDR/LPDDR bus type is displayed.

  7. Select a signal to which the pin is mapped in your footprint. Then select the bit.

A signal displayed with a red shading in this list indicates that you have already mapped this signal to a pin. However, it is possible to map an already mapped signal to another pin thereby creating its mapping to multiple pins.

An example of such a situation is a clock enable bit (CKE) mapped to two different pins to use it as a clock qualifier as well as to scan it with eyescan as a logic analyzer bit.

Warnings are displayed in the created configuration file for such multiple mappings.

  8. Repeat steps 6 and 7 to map all other pins to signals.

As you proceed with mapping pins to signals, the schematic drawing in the middle of the screen is updated accordingly to reflect these mappings.

For a Custom footprint layout

If you are creating a Custom type of footprint layout, the tool displays a diagrammatic representation of the logic analyzer pod with all the supported logic analyzer channels that you can map to signals. On the left side of this representation, a column is provided to allow you to map signals to these channels. To map a signal to a channel, click the signal box in front of that channel displayed in the column on the left.

  9. Once the footprint layout is complete, click OK.
  10. Repeat the entire procedure to create more footprint layouts matching your schematics.

Interpreting the Mappings

  • For the pins for which you have defined the mapping, a green arrow is displayed between these pins and their mapped signals.
  • For the pins that are not mapped to any signals, NC (Not Connected) is displayed.
  • If you have mapped a signal to multiple pins (by mistake or intentionally), a yellow arrow is displayed between such mappings so that you can distinguish such mappings from other mappings and take corrective actions.

 Once created, you can edit or delete a footprint layout by clicking the [image] or [image] button respectively. These buttons are displayed with each footprint.

Creating a Configuration File

Once you defined footprint layouts in the tool, you can create a custom configuration file. The generated file will store information related to all these footprint layouts.

  1. Click the Create Custom Configuration button displayed in the tool.
  2. In the Save As dialog box, specify a file name for the configuration file and click Save.

If the configuration file is created successfully, then the following screen is displayed.

If the tool could not create the configuration file, then a screen similar to one of the following screens is displayed.

The tool is not able to create a configuration file in situations such as:

  • Incorrect mapping of the clock bit. If the clock bit is not mapped at all, or not mapped correctly to a logic analyzer clock bit, then the configuration file is not generated.
  • Permission problems or a full disk while saving the configuration file at the user-specified location.

Viewing Mapping Warnings or Errors

There are situations when a custom configuration file is created successfully but has some mapping related warnings or errors such as:

  • A signal mapped to multiple pins.
  • A signal bit from the middle of a group of bits not mapped - For instance, if all DQ bits 0 - 31 are mapped except bit 20, then this is reported as an error.
  • A missing signal.
  • Upper bits of a label not mapped intentionally (reported as warnings).

To view these warnings and errors

  1. Click the View Mapping Info button from the Configuration Generator Results dialog box. This dialog box is displayed as a result of the completion of the configuration file creation.

The Bit Mapping and Label Creation Information dialog box is displayed. In this dialog box, various warnings and errors are grouped in categories.

  2. Expand a category to view the warnings/errors encountered.
  3. Resolve any errors and (if needed) any warnings and regenerate the configuration file.

Saving a Configuration Setup

You can save the configuration settings and footprint layouts that you defined in a setup file for future use. The tool saves this setup file with a .ccc extension.

The configuration setup CCC file is different from the configuration XML file that you create using this tool. The configuration setup file has only the information related to the setup that you created in this tool. This setup file cannot be loaded in the DDR Setup Assistant.
  1. Click File > Save Setup in the tool.
  2. Navigate to the location where you want to save the configuration setup file, specify a name for the file, and click Save.

Loading a Saved Configuration setup file

  1. Click File > Load Setup in the tool.
  2. Navigate to the location where you saved the configuration setup CCC file, select the file, and click Open.


Loading a Custom Configuration File in DDR Setup Assistant

The custom configuration file that you created using the DDR/LPDDR Custom Configuration Creator tool needs to be loaded in the DDR Setup Assistant

The DDR Setup Assistant is a wizard-like application that provides a series of steps to set up your logic analyzer properly for DDR data capture and analysis. One of its steps (Step 3) requires you to load an appropriate configuration file (standard or custom) matching your probing setup. The wizard uses this configuration file to gather information about your probing and accordingly generate a Logic analyzer setup file based on this information.

You can also directly load the custom configuration file in the Logic and Protocol Analyzer GUI to define the logic analyzer acquisition setup. However, it is recommended to use the DDR Setup Assistant that ensures a step by step inclusion of all the required information in the acquisition setup.

To load a custom configuration file in DDR Setup Assistant

  1. Double-click the DDR Setup Assistant icon on your desktop to start the DDR Setup Assistant.
  2. Complete the first two steps.
  3. In the third step, select the Load a custom configuration file radio button.
  4. Click the Load Configuration File button.
  5. Browse to the location where you saved your custom XML configuration file and click Open.
  6. Proceed with the rest of steps in the DDR Setup Assistant wizard.

For detailed information on how to install and use the DDR Setup Assistant wizard, refer to its online help.

The online help is available only when you install this wizard application.


Completing the DDR Setup Assistant Steps

All the steps in the DDR Setup Assistant are important and need to be completed to generate a setup file. (Refer to the topic Using the DDR Setup Assistant in its online help to know about each step.)

Out of these steps, this topic highlights the hardware setup step in context of a custom probing scenario. For such a scenario, it is important that you make correct Logic analyzer pods to footprint connections before proceeding to the next step.

To make these connections, you can use the General Purpose Probe Set dialog box in the Logic and Protocol Analyzer GUI. This dialog box displays the mapping between the probe’s pins/pads and logic analyzer pod cables as per the currently used configuration. You can use these mappings to ensure correct connections between probes and logic analyzer pods.

Refer to the topic Step - Do Hardware Setup in the DDR Setup Assistant online help to get detailed information on this step.


Loading the Acquisition Setup File in Logic and Protocol Analyzer GUI

Once you have completed all the steps in the DDR Setup Assistant wizard, a setup file is generated that you can load in the Logic and Protocol Analyzer GUI to complete your logic analyzer acquisition setup for custom probing.


Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Microsoft®, MS-DOS®, Windows®, Windows 2000®, and Windows XP® are U.S. registered trademarks of Microsoft Corporation.

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.


Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.